Description

L'envoi de la commande TC_LFR_RESET ne fonctionne plus:

- Pas d'acquittement de la commande dans les 4s

- Plantage du logiciel de vol,

- l interface de Socexplorer est gelée.

Normalement, cette commande doit renvoyée TM_LFR_EXE_NOT_IMPLEMENTED et le logiciel de vol continue de fonctionner.
Le test a été fait egalement avec | ancien noyau 3.16.3-200.

Dans un grand nombre de tests, cette commande est envoyée en premier donc tous ces tests ne peuvent plus etre joués.

Contexte

Noyau Fedora 3.17.6-200.fc20.x86_64

LFR_FSW_PATH = /opt/LFR/LFR-FSW/2.0.2.0/fsw

TIMEGEN_PATH = "/opt/LFR/TIMEGEN/0.0.0.1/timegen

SocExplorerEngine.getSocExplorer: Version = 0.4.4, Branch = default, Changeset = 6e5eaal3fad9
Bridge selection = StarDundee

Carte EM: VHDL 1.1.35

History

#1 - 23/12/2014 01:41 PM - Veronique bouzid

Le test SVS-0003 a permis de détecter le bug sur I'envoi de TC-LFR-RESET.
Ce test a été modifié pour ne plus envoyer cette commande.

#2 - 05/01/2015 07:51 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

J'ai modifié le comportement de la commande TC_LFR_RESET il y a quelque temps. Maintenant, elle fait quelquechose: elle arréte le soft en faisant
un appel a exit(0). Cette modification est due a l'utilisation des outils de couverture de code fournis par le CNES (la transmission vers le PC des
informations de couverture se fait aprés I'appel a exit(0), par l'intermédiaire de la liaison série).

Garder l'implémentation avec exit(0) donne une utilité a TC_LFR_RESET et permet d'utiliser les outils de couverture. Il faut que je mette a jour le
software detailed design en ce sens si on s'accorde sur ce comportement.

Ce n'est pas prudent d'envoyer TC_LFR_RESET, ou toute autre TC au comportement non connu ou non implémenté a LFR au début d'un test. Pour
faire un test de bonne santé, on peut utiliser TC_LFR_ENTER_MODE par exemple, avec un mode erroné ou méme juste le mode STANDBY.

#3 - 12/02/2015 09:44 AM - Veronique bouzid
- Status changed from Feedback to Closed

hello,

Ce script ecrit par Gérald, teste toutes les commandes donc ¢ est normal qu il envoie | ensemble des cdes

respectant la R2.

Je suis d accord, on avait deja supprimé avec Bruno, les scénarios qui utilisaient la cde RESET pour sa fonctionalité native.

Voili-Voila

Véronique

10/04/2024 1/1



http://www.tcpdf.org

